std::basic_iostream::~basic_iostream(3)

NAME
std::basic_iostream::~basic_iostream - std::basic_iostream::~basic_iostream

Synopsis
   virtual ~basic_iostream();
   Destructs the input/output stream.

Notes
   This destructor does not perform any operation on the underlying stream buffer
   (rdbuf()): the destructors of the derived streams such as std::basic_fstream and
   std::basic_stringstream are responsible for calling the destructors of the stream
   buffers.